#!/bin/bash
# setup gnu-keywords, automatet script.
# Perhaps you want to do it yourself, in your way. Feel free
# SPDX-FileCopyrightText: 2022 Beat Jäckle <beat@git,jdmweb2.ch>
# SPDX-License-Identifier: GPL-3.0-or-later
#

# Erstelle eine Pythonumgebung, falls noch keine existiert.
if [ ! -d .env ]
then python -m venv .env
fi

# Aktiviere die Pythonumgebung
. .env/bin/activate

# Installiere die benötigten Pakete
pip install -U pip
pip install -r requirements.txt

# Lade die Berichte von gnulinux.ch herunter und entpacke sie in den Ordner ./data
wget https://cloud.gnulinux.ch/index.php/s/YTw6dn4wFKGA7oi/download/data.zip
unzip data.zip

# Der Bericht von beautiful-soup ist leider unvollständig. Wir löschen ihn bereits hier.
if [ -f data/beautiful-soup/index.txt ];then rm data/beautiful-soup/index.txt; rmdir data/beautiful-soup/;fi
